Subject: Re: RTL8125B on r8169 no traffic

From: Jakub Kicinski <[email-masked]>
Date: Wed, 5 Jun 2024 17:23:17 -0700

On Tue, 4 Jun 2024 17:38:30 +0500 Andrey Tumashinov wrote:
> Hello,
> 
> I'm having some strange connect-reconnect problems with my built-in NIC 
> on RTL8125, Gigabyte Z690 Gaming X DDR4 running Manjaro, 6.9.2 kernel.
> 
> 1. I have to plug the cable in several random times in order to NIC get 
> it's IP address via DHCP. Manual IP doesn't help either. The cable is 
> Cat 5e, verified with several other laptops.
> 
> 2. When the NIC is linked and then link is downed and then upped on the 
> other side, it won't get IP address, too. I have to use the following 
> commands in order to get IP address and start traffic:
> 
> ip link set enp3s0 down
> ip link set enp3s0 up
> 
> 
> 3. Other than that, there are no problems at all - connection speed is 
> stable 1 Gbit, after PC reboot connection is always on, IP address ok, 
> traffic flows as it should.
> 
> 4. Recently, I've stumbled upon this thread which I think is similar to 
> my problem but It should have been resolved in my kernel version:
> 
> https://lore.kernel.org/netdev/[email-masked]/T/
> 
> Do you have any ideas what's wrong?

Shot in the dark - could you check / disable EEE 
(ethtool --show-eee $ifc) ?